The Community Forums

Interact with an entire community of cPanel & WHM users!
  1. This site uses cookies. By continuing to use this site, you are agreeing to our use of cookies. Learn More.

PHP Selector - What default modules to install? (Recommendations?)

Discussion in 'CloudLinux' started by electric, Dec 24, 2012.

  1. electric

    electric Well-Known Member

    Joined:
    Nov 5, 2001
    Messages:
    697
    Likes Received:
    1
    Trophy Points:
    18
    Hello,

    When setting up the PHP Selector, you can choose what modules should be installed by default for each of the available PHP versions. (5.2, 5.3, 5.4) (Module selection for "native" is all grayed out.)

    I am just wondering what modules you folks recommend, for each version. Is there an advantage to just select all of them? I don't want to confuse my customers, so I want to make things easiest as possible.. and in the past we've had problems with some modules being needed, etc...

    What modules do you recommend selecting as default (included) for each PHP Selector version?

    Here are the available modules:

    Code:
    apc
    bcmath
    big_int
    bz2
    bz2_filter
    calendar
    core
    ctype
    curl
    date
    dba
    dbase
    dbx
    dom
    eaccelerator
    eio
    enchant
    ereg
    exif
    fileinfo
    filter
    ftp
    functional
    gd
    gender
    gettext
    gmp
    hash
    iconv
    igbinary
    imagick
    imap
    inclued
    inotify
    intl
    ioncube_loader
    json
    ldap
    libxml
    mailparse
    mbstring
    mcrypt
    memcache
    mhash
    mongo
    msgpack
    mysql
    mysqli
    ncurses
    oauth
    odbc
    openssl
    pcntl
    pcre
    pdo
    pdo_mysql
    pdo_odbc
    pdo_pgsql
    pdo_sqlite
    pgsql
    phar
    posix
    pspell
    quickhash
    recode
    reflection
    rsync
    session
    shmop
    simplexml
    snmp
    soap
    sockets
    sourceguardian
    spl
    spl_types
    sqlite3
    ssh2
    standard
    stomp
    suhosin
    sysvmsg
    sysvsem
    sysvshm
    tidy
    timezonedb
    tokenizer
    translit
    uploadprogress
    uri_template
    wddx
    weakref
    xcache
    xml
    xmlreader
    xmlrpc
    xmlwriter
    xrange
    xsl
    zip
    zlib
     
  2. cPanelMichael

    cPanelMichael Forums Analyst
    Staff Member

    Joined:
    Apr 11, 2011
    Messages:
    30,762
    Likes Received:
    662
    Trophy Points:
    113
    cPanel Access Level:
    Root Administrator
    Hello :)

    Personally, I would only enable the PHP modules that are required by your customers. GD is the most requested PHP module from my experience. Enabling additional modules that are not required could result in decreased performance.

    Thank you.
     
  3. sahostking

    sahostking Well-Known Member

    Joined:
    May 15, 2012
    Messages:
    300
    Likes Received:
    1
    Trophy Points:
    18
    Location:
    Cape Town, South Africa
    cPanel Access Level:
    Root Administrator
    JSON in critical so enable that on all versions, Used by joomla ,etc. Tidy aswell which some customers want due to them using wordpress and w3totalcache. Most of the others are optional.

    I went with enabling mysql modules, json, curl, gd, mcrypt, mbstring, ioncube, imagick, soap
     
Loading...

Share This Page